Skip to main content
enum

The set of valid sort keys for the Article query.

Sort by the author value.

Sort by the blog_title value.

Sort by the id value.

Sort by the published_at value.

Sort by relevance to the search terms when the query parameter is specified on the connection. Don't use this sort key when no search query is specified.

Sort by the title value.

Sort by the updated_at value.


Was this section helpful?

•ARGUMENT

A blog container for Article objects. Stores can have multiple blogs, for example to organize content by topic or purpose.

Each blog provides access to its articles, contributing ArticleAuthor objects, and SEO information. You can retrieve articles individually by handle or as a paginated list.

•ARGUMENT

The entry point for all Storefront API queries. Provides access to shop resources including products, collections, carts, and customer data, as well as content like articles and pages. This query acts as the public, top-level type from which all queries must start.

Use individual queries like product or collection to fetch specific resources by ID or handle. Use plural queries like products or collections to retrieve paginated lists with optional filtering and sorting. The search and predictiveSearch queries enable storefront search functionality.

Explore queries interactively with the GraphiQL explorer and sample query kit.


Was this section helpful?